<template>
    <div id="playerPage" class="container text-center">
            <h1>Wait for hint from the storyteller</h1> 
        <br />
        <PlayerCards :canSelectCard=canSelectCard></PlayerCards>
    </div>
</template>

<script>
    import axios from 'axios';
    import PlayerCards from './PlayerCards.vue';
    export default {
        name: 'playerPage',
        components: {
            PlayerCards,
        },
        data: function () {
            return {
                polling: null,
                roundId: this.$route.params.roundId,
                playerId: this.$route.params.playerId,
                gameId: this.$route.params.gameId,
                myParams: null,
                isHintAdded: false,
                canSelectCard: false
            }
        },
        methods: {
            checkIfHintAdded() {
                this.polling = setInterval(() => {
                    axios.get("https://localhost:44361/api/card/round/" + this.roundId + "/hint")
                    .then(response => this.isHintAdded = response.data != "");
                    if (this.isHintAdded) {
                        this.redirectToSelectCardPage();
                    }
                }, 3000);
            },
            redirectToSelectCardPage() {
                this.myParams = {
                    playerId: this.playerId,
                    gameId: this.gameId,
                    roundId: this.roundId
                };
                this.$router.push({
                    name: 'selectCardPlayerPage',
                    params: this.myParams
                });
            }
        },
        beforeDestroy() {
            clearInterval(this.polling);
        },
        created: function () {
            this.checkIfHintAdded();
        }
    }
</script>